#NONAMEFORCOMMIT
%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%define		original_name	pycurl

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	A Python interface to libcurl
Name:		python%{PVER}-%{original_name}
Version:	7.19.0
Release:	6
License:	GNU/GPL
URL:		http://%{original_name}.sourcefoorge.net
Group:		Development/Python
Source0: 	%{original_name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Requires:	python%{PVER}
Requires:	libidn
BuildRequires:	python%{PVER}-devel
BuildRequires:	python%{PVER}-setuptools
BuildRequires:	curl-devel

Provides:	pycurl = %{version}-%{release}
Obsoletes:	pycurl <= %{version}-%{release}
Obsoletes:	python25-pycurl

#Automatically resolved build dependencies
BuildRequires: c-ares-devel
BuildRequires: coreutils
BuildRequires: glibc-devel
BuildRequires: libidn-devel
BuildRequires: libssh2-devel
BuildRequires: openldap-devel
BuildRequires: openssl-devel
BuildRequires: zlib-devel

%description
PycURL is a Python interface to libcurl. PycURL can be used to fetch
objects identified by a URL from a Python program, similar to the
urllib Python module.

%prep
%setup -q -n %{original_name}-%{version}

FIX=$(find -type f -name "*" -exec grep -I -l -e "^#!/usr/bin/python" -e "^#! /usr/bin/env python" "{}" \; ) > 2&1 /dev/null ||:
for i in $FIX; do
    sed -i "s,^#!/usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#! /usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i
done

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -Rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT%_datadir/doc/pycurl __doc
rm -f $RPM_BUILD_ROOT%{python_sitelib}/*.egg-info

%clean
rm -Rf $RPM_BUILD_ROOT
rm -Rf $RPM_BUILD_DIR/%{original_name}*

%files
%defattr(-,root,root,-)
%{python_sitelib}/curl
%{python_sitelib}/pycurl.so

%changelog
* Wed Oct 13 2010 Karsten Brockmann <arcam@ccux-linux.de> 7.19.0-6
- rebuilt against curl 7.21.2
* Thu Aug 12 2010 Karsten Brockmann <arcam@ccux-linux.de> 7.19.0-5
- rebuilt against curl 7.21.1
* Thu Mar 04 2010 Karsten Brockmann <arcam@ccux-linux.de> 7.19.0-4
- updated dependencies list
* Thu Mar 04 2010 Karsten Brockmann <arcam@ccux-linux.de> 7.19.0-3
- rebuilt against curl 7.20.0
* Thu Oct 29 2009 Christian Wasem <wasem@ccux-linux.de> 7.19.0-2
- rebuild against python26-2.6.3-1
* Thu Oct 22 2009 Christian Wasem <wasem@ccux-linux.de> 7.19.0-1
- Version update, build against python25-2.5.4-3
* Wed Oct 31 2007 Christian Metzen <metzench@ccux-linux.de> 7.16.4-1
- Version update
* Wed Sep 20 2006 Karsten Brockmann <arcam@ccux-linux.de> 7.15.5.1-1
- Version update ,built against python 2.5
* Wed Aug 16 2006 Karsten Brockmann <arcam@ccux-linux.de> 7.15.5-1
- Version update
* Wed Jul 05 2006 Christian Metzen <metzench@ccux-linux.de> 7.15.4.2-1
- Version update
* Mon Feb 20 2006 Christian Metzen <metzench@ccux-linux.de> 7.15.1-1
- Initial Release
